@import 'vars';
@import url('https://fonts.cdnfonts.com/css/qanelas');
@font-face {
  font-family: 'SapStem';
  src: url("../fonts/SapStem.ttf");
}; 

html {
  box-sizing: border-box;
}

*,*::after,::before {
  box-sizing: inherit;
}

body {
  min-width: 720px;
  overflow-x: hidden;
}

.container {
  padding: 0 62px;
}

.header {
  background-color: $main-color;
  border: none;
  &__inner {
    min-height: 187px;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
}

.logo__img {
  width: 284px;
  height: 46px;
}

.menu__btn {
  border: none;
  background-color: $main-color;

  &:hover {
    opacity: 0.8;
    cursor: pointer;
  }
}

.intro__container {
  padding-top: 10px;
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: $main-color;
  border: none;
}

.intro__img {
  width: 502px;
  height: 704px;
}

.intro__text {
  padding: 43px 0;
  color: #FFFFFF;
  text-align: center;

  &__big {
    font-family: 'SapStem';
    font-style: normal;
    font-weight: 400;
    font-size: 49px;
    line-height: 52px;
    padding-bottom: 20px;
    width: 495px;
  }

  &__small {
    width: 336px;
    margin: 0 auto;
    font-family: 'Qanelas';
    font-style: normal;
    font-weight: 700;
    font-size: 24px;
    line-height: 22px;
  }
}

.intro__arrow {
  padding-bottom: 66px;
}

.essence__headtext {
  padding-top: 90px;
  padding-left: 120px;
  padding-bottom: 61px;
}

.essence__headtext__small {
  width: 292px; 
  border-bottom: 1px solid #000; 
  line-height:0.1em; 
  font-family: 'SapStem';
  font-style: normal;
  font-weight: 400;
  font-size: 20px;
  color: #000000;
  margin: 0;
}

.essence__headtext__small span { 
  background:#fff; 
  padding-right: 15px;
  padding-left: 5px;
  margin: 0;
}

.essence__headtext__big {
  font-family: 'SapStem';
  font-style: normal;
  font-weight: 400;
  font-size: 144px;
  line-height: 140px;
  color: #000000;
  margin: 0;
}

.imagesAbstract {
  display: flex;
  max-width: 720px;
  margin: 0 auto;
}

.imagesAbstract__col1 {
  width: 266px;
  //height: 260px;
}

.imagesAbstract__col1 img {
  width: 100%;
  //height: 100%;
}

.imagesAbstract__col2 {
  width: 307px;
  height: 449px;
  //align-self: flex-end;
}

.imagesAbstract__col2 img {
  width: 100%;
  height: 100%;
}

.imagesAbstract__col3 {
  display: flex;
  align-items: flex-end;
  //align-self: stretch;
}

.redcube {
  width: 147px;
  //height: 147px;
  padding-top: 100%;
  background-color: $main-color;
}

.essence__text {
  padding: 65px 83px 65px 120px;
  font-family: 'Qanelas';
  font-style: normal;
  font-weight: 300;
  font-size: 24px;
  line-height: 33px;
  color: #000000;
}

.howitworks__headtext {
    padding-left: 120px;
    padding-bottom: 61px;
}

.howitworks__headtext__small {
  width: 330px; 
  border-bottom: 1px solid #000; 
  line-height:0.1em; 
  font-family: 'SapStem';
  font-style: normal;
  font-weight: 400;
  font-size: 20px;
  color: #000000;
  margin: 0;
}

.howitworks__headtext__small span { 
  background:#fff; 
  padding-right: 15px;
  padding-left: 5px;
  margin: 0;
}

.howitworks__headtext__big {
  font-family: 'SapStem';
  font-style: normal;
  font-weight: 400;
  font-size: 116px;
  line-height: 140px;
  color: #000000;
  margin: 0;
}

.howitworks__text {
  padding: 0 80px 81px 120px;
  font-family: 'Qanelas';
  font-style: normal;
  font-weight: 300;
  font-size: 24px;
  line-height: 33px;
  color: #000000;
}

.abstract2 {
  display: flex;
  max-width: 480px;
  margin: 0 auto;

  &__col1 {
    display: flex;
    flex-direction: column;
  }

  &__col2 {
    display: flex;
    flex-direction: column;
    align-items: baseline;
    justify-content: flex-end;
  }
}

.abstract2__col1__image {
  width: 283px;
  height: 425px;
}

.abstract2__col1__image img {
  width: 100%;
  height: 100%;
}

.abstract2__col1__container {
  height: 195px;
  width: 283px;
  display: flex;

  &__text {
    font-family: 'Qanelas';
    font-style: normal;
    font-weight: 700;
    font-size: 27px;
    line-height: 34px;
    color: #000000;
    letter-spacing: -0.03em;
    width: 75%;
    padding-top: 55px;
  }

  &__image {
    align-self: flex-end;
  }
}

.abstract2__col2__redcube {
  width: 95px;
  height: 95px;
  background-color: $main-color;
}

.abstract2__col2__blackcube {
  width: 195px;
  height: 195px;
  background-color: #000000;
}

.conditions__intro {
  width: 440px;
  margin: 130px auto 0;

  p {
    font-family: 'Qanelas';
    font-style: normal;
    font-weight: 300;
    font-size: 24px;
    line-height: 33px;
    text-align: center;
    letter-spacing: -0.03em;
    color: #000000;
  }
}

.conditions__intro__line {
  width: 258px; 
  border-bottom: 1px solid #000;
  margin: 0 auto;
}

.conditions__headtext {
  width: 498px;
  margin: 24px auto 25px;
  font-family: 'SapStem';
  font-style: normal;
  font-weight: 400;
  font-size: 71px;
  line-height: 64px;
  text-align: center;
  color: #000000;
}

.conditions__maintext {
  margin: 0 105px 25px 120px;
  font-family: 'Qanelas';
  font-style: normal;
  font-weight: 400;
  font-size: 24px;
  line-height: 33px;
  color: #000000;

  &__addition {
    font-size: 18px;
    line-height: 26px;
  }

  &__line {
    width: 258px; 
    border-bottom: 1px solid #000;
  }
}

.smallredcube {
  width: 15px;
  height: 15px;
  background-color: $main-color;
}

.numbers {
  background-color: $main-color;
  padding: 80px 120px;

  &__percent {
    font-family: 'SapStem';
    font-style: normal;
    font-weight: 400;
    font-size: 144px;
    line-height: 33px;
    color: #FFFFFF;
    padding-top: 40px;
    padding-bottom: 27px;

    span {
      font-size: 48px;
    }
  }

  p {
    font-family: 'Qanelas';
    font-style: normal;
    font-weight: 400;
    font-size: 24px;
    line-height: 33px;
    color: #FFFFFF;
  }

  &__line {
    width: 258px; 
    border-bottom: 1px solid #FFFFFF;
    padding-top: 20px;
  }
}

.formula {
  padding: 80px 120px;

  &__headtext {
    padding: 0;

    &__small {
      width: 330px; 
      border-bottom: 1px solid #000; 
      line-height:0.1em; 
      font-family: 'SapStem';
      font-style: normal;
      font-weight: 400;
      font-size: 20px;
      color: #000000;
      margin: 0;
    }
    
    &__small span { 
      background:#fff; 
      padding-right: 15px;
      padding-left: 5px;
      margin: 0;
    }
    
    &__big {
      font-family: 'SapStem';
      font-style: normal;
      font-weight: 400;
      font-size: 116px;
      line-height: 140px;
      color: #000000;
      margin: 0;
    }
  }
}

.formula__scheme {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  max-width: 100%;
  align-items: flex-start;
  margin-left: -32px;
  margin-top: 60px;
  margin-bottom: 70px;

  &__item {
    display: flex;
    flex-wrap: nowrap;
    gap: 20px;

    &:first-child {
      padding-left: 32px;
    }

    &__sign {
      font-family: 'Qanelas';
      font-style: normal;
      font-weight: 900;
      font-size: 24px;
      line-height: 31px;
      text-align: center;
      color: #000000;
      padding-top: 27px;
    }

    &__container {
      display: flex;
      flex-direction: column;
      align-items: center;

      p {
        font-family: 'Qanelas';
        font-style: normal;
        font-weight: 300;
        font-size: 13px;
        line-height: 15px;
        text-align: center;
        color: $main-color;
      }

      &__brace {
        display: flex;
        flex-wrap: nowrap;
        align-items: center;
        gap: 10px;

        &__big {
          font-family: 'Qanelas';
          font-style: normal;
          font-weight: 300;
          font-size: 72px;
          line-height: 85px;
          text-align: center;
          color: #000000;
        }
    
        &__small {
          font-family: 'Qanelas';
          font-style: normal;
          font-weight: 400;
          font-size: 20px;
          line-height: 22px;
          text-align: center;
          color: #000000;
          width: 120px;
        }
      }
    }
  }
}

.formula__line {
    width: 439px; 
    border-bottom: 1px solid #000000;
}

.formula__text {
  font-family: 'Qanelas';
  font-style: normal;
  font-weight: 400;
  font-size: 24px;
  line-height: 33px;
  color: #000000;
}

.committent__abstract {
  width: 483px;
  display: flex;
  flex-wrap: nowrap;
  margin: 0 auto;
  margin-bottom: 90px;

  &__col1 {
    display: flex;
    flex-direction: column;

    &__container {
      display: flex;
      flex-wrap: nowrap;
      justify-content: space-between;
      padding-right: 66px;
      padding-bottom: 51px;
      align-items: center;

      &__text {
        font-family: 'Qanelas';
        font-style: normal;
        font-weight: 700;
        font-size: 27px;
        line-height: 34px;
        letter-spacing: -0.03em;
        color: #000000;
        width: 200px;
      }
    }

    &__image {
      width: 282px;
      height: 419px;

      img {
        width: 100%;
        height: 100%;
      }
    }
  }

  &__col2 {
    display: flex;
    flex-direction: column;

    &__image {
      padding-top: 75px;
      width: 201px;
      height: 303px;

      img {
        width: 100%;
        height: 100%;
      }
    }

    &__blackbox {
      width: 100px;
      height: 100px;
      background-color: #000000;
    }
  }
}

.committent__headtext1 {
  padding-left: 120px;

    &__small {
      width: 430px; 
      border-bottom: 1px solid #000; 
      line-height:0.1em; 
      font-family: 'SapStem';
      font-style: normal;
      font-weight: 400;
      font-size: 20px;
      color: #000000;
      margin: 0;
    }
    
    &__small span { 
      background:#fff; 
      padding-right: 15px;
      padding-left: 5px;
      margin: 0;
    }
    
    &__big {
      font-family: 'SapStem';
      font-style: normal;
      font-weight: 400;
      font-size: 76px;
      line-height: 89px;
      color: #000000;
      margin: 0;
    }
}

.committent__headtext2 {
  padding-left: 120px;

    &__small {
      width: 240px; 
      border-bottom: 1px solid #000; 
      line-height:0.1em; 
      font-family: 'SapStem';
      font-style: normal;
      font-weight: 400;
      font-size: 20px;
      color: #000000;
      margin: 0;
    }
    
    &__small span { 
      background:#fff; 
      padding-right: 15px;
      padding-left: 5px;
      margin: 0;
    }
    
    &__big {
      font-family: 'SapStem';
      font-style: normal;
      font-weight: 400;
      font-size: 76px;
      line-height: 89px;
      color: #000000;
      margin: 0;
    }
}

.committent__maintext {
  margin: 0 105px 100px 120px;
  font-family: 'Qanelas';
  font-style: normal;
  font-weight: 400;
  font-size: 24px;
  line-height: 33px;
  color: #000000;
}

.commissioner__abstract {
  display: flex;
  flex-wrap: nowrap;
  width: 581px;
  margin: 0 auto 100px;

  &__col1 {
    display: flex;
    flex-direction: column;
    align-items: flex-end;

    &__redcube {
      width: 108px;
      height: 108px;
      background-color: $main-color;
    }

    &__image {
      width: 308px;
      height: 431px;

      img {
        width: 100%;
        height: 100%;
      }
    }
  }

  &__col2 {
    padding-top: 108px;

    &__blackcube {
      width: 64px;
      height: 64px;
      background-color: #000000;
    }
  }

  &__col3 {
    padding-top: 39px;

    &__image {
      width: 209px;
      height: 314px;

      img {
        width: 100%;
        height: 100%;
      }
    }

    &__text {
      padding-top: 57px;
      width: 209px;
      font-family: 'Qanelas';
      font-style: normal;
      font-weight: 700;
      font-size: 27px;
      line-height: 34px;
      letter-spacing: -0.03em;
      color: #000000;
    }
  }
}

.commissioner__headtext1 {
  padding-left: 120px;

    &__small {
      width: 430px; 
      border-bottom: 1px solid #000; 
      line-height:0.1em; 
      font-family: 'SapStem';
      font-style: normal;
      font-weight: 400;
      font-size: 20px;
      color: #000000;
      margin: 0;
    }
    
    &__small span { 
      background:#fff; 
      padding-right: 15px;
      padding-left: 5px;
      margin: 0;
    }
    
    &__big {
      font-family: 'SapStem';
      font-style: normal;
      font-weight: 400;
      font-size: 76px;
      line-height: 89px;
      color: #000000;
      margin: 0;
    }
}

.commissioner__headtext2 {
  padding-left: 120px;

    &__small {
      width: 240px; 
      border-bottom: 1px solid #000; 
      line-height:0.1em; 
      font-family: 'SapStem';
      font-style: normal;
      font-weight: 400;
      font-size: 20px;
      color: #000000;
      margin: 0;
    }
    
    &__small span { 
      background:#fff; 
      padding-right: 15px;
      padding-left: 5px;
      margin: 0;
    }
    
    &__big {
      font-family: 'SapStem';
      font-style: normal;
      font-weight: 400;
      font-size: 76px;
      line-height: 89px;
      color: #000000;
      margin: 0;
    }
}

.commissioner__maintext {
  margin: 0 105px 100px 120px;
  font-family: 'Qanelas';
  font-style: normal;
  font-weight: 400;
  font-size: 24px;
  line-height: 33px;
  color: #000000;
}

.addictions__brands {
  padding: 108px 124px 112px 110px;
  background-color: $main-color;
  color: #FFFFFF;

  &__headtext {
    font-family: 'SapStem';
    font-style: normal;
    font-weight: 400;
    font-size: 87px;
    line-height: 66px;
    text-align: center;
  }

  p {
    font-family: 'Qanelas';
    font-style: normal;
    font-weight: 400;
    font-size: 32px;
    line-height: 38px;
    text-align: center;
  }
}

.addictions__blacklist {
  padding: 112px 118px 112px 117px;
  background-color: #000000;
  color: #FFFFFF;

  &__headtext {
    font-family: 'SapStem';
    font-style: normal;
    font-weight: 400;
    font-size: 87px;
    line-height: 66px;
    text-align: center;
  }

  &__mediumtext {
    font-family: 'Qanelas';
    font-style: normal;
    font-weight: 400;
    font-size: 32px;
    line-height: 38px;
    text-align: center;
  }

  &__smalltext {
    font-family: 'Qanelas';
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 38px;
    text-align: center;
  }
}

.addictions__replica {
  padding: 86px 52px 112px 108px;
  color:#000000;

  &__headtext {
    text-align: center;
    padding-bottom: 25px;
    font-family: 'SapStem';
    font-style: normal;
    font-weight: 400;
    font-size: 52px;
    line-height: 56px;
  }

  &__image {
    width: 480px;
    height: 415px;
    margin: 0 auto;

    img {
      width: 100%;
      height: 100%;
    }
  }

  &__maintext {
    p {
      font-family: 'Qanelas';
      font-style: normal;
      font-weight: 400;
      font-size: 24px;
      line-height: 33px;
    }
  }
}

.addictions__contract {
  padding: 76px 74px 142px 107px;
  color: #FFFFFF;
  background-color: $main-color;
  font-family: 'SapStem';
  font-style: normal;
  font-weight: 400;
  font-size: 48px;
  line-height: 52px;
}

.modal__menu {
  display: none;
  position: absolute;
  top: 187px;
  background-color: #FFFFFF;
  width: 100vw;
  height: 1105px;
  z-index: 1;
  
  &__flexcontainer {
    padding: 180px 0 195px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 322px;

    &__text {
      display: flex;
      flex-direction: column;
      align-items: center;

      a {
      outline: none;
      text-decoration: none;
      font-family: 'SapStem';
      font-style: normal;
      font-weight: 400;
      font-size: 36px;
      line-height: 3;
      color: $main-color;
      display: inline-block;
      text-align: center;
      width: 251px;

      &:link, &:visited, &:focus {
        background: #FFFFFF;
      }
      
      &:hover {
        background: $main-color;
        color: #FFFFFF;
      }
      
      &:active {
        background: $main-color;
        color: #FFFFFF;
        opacity: 0.8;
      }
    }

      &__line {
        width: 251px; 
        border-bottom: 1px solid $main-color;
      }
    }

    &__links {
      text-align: center;
      line-height: 50px;

      a {
        &:link, &:visited, &:focus &:active {
          background: #FFFFFF;
        }

        &:hover {
          img {
            opacity: 0.8;
          }
        }
        
        
      }

    }
  }
}

.modal__contacts {
  display: none;
  position: absolute;
  top: 187px;
  background-color: $main-color;
  width: 100vw;
  height: 1105px;
  z-index: 2;
  color: #FFFFFF;

  &__flexcontainer {
    padding: 120px 105px 175px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;

    &__headtext {
      padding-bottom: 61px;
      margin-left: -5px;

      &__small {
        width: 350px; 
        border-bottom: 1px solid #FFFFFF; 
        line-height:0.1em; 
        font-family: 'SapStem';
        font-style: normal;
        font-weight: 400;
        font-size: 20px;
        margin: 0;
      }

      &__small span { 
        background: $main-color; 
        padding-right: 15px;
        padding-left: 5px;
        margin: 0;
      }

      &__big {
        font-family: 'SapStem';
        font-style: normal;
        font-weight: 400;
        font-size: 96px;
        line-height: 140px;
        margin: 0;
      }
    }

    &__item {
      display: flex;
      gap: 50px;
      padding-bottom: 35px;
      font-family: 'Qanelas';
      font-style: normal;
      font-weight: 400;
      font-size: 30px;
      line-height: 39px;

      &:last-child {
        padding-bottom: 0;
        font-weight: 700;
        font-size: 40px;
        line-height: 43px;
      }

      &__icon {
        text-align: center;
        width: 32px;
      }
    }
  }
}

.show {
  display: block;
}